# Installation

### Requirements

* WordPress 6 and PHP 7.4 (Works on latter WP 5 versions too).
* At least 50 MB of available space for installation and logs.
* API code received in the email at the time of purchase at Codecanyon.

### First steps

1. Follow these instructions \[[external site](https://www.wpbeginner.com/wp-tutorials/how-to-fix-the-link-you-followed-has-expired-error-in-wordpress/)] to increase the upload limit of your WordPress site.

2\. Go to the Plugins tab and click on "Add new".

![](/files/CssjG7QoI1lbgPJ4TP1v)

3\. Click on sequential order: a) "Upload Plugin", b) Choose file (Download the last plugin version on ZIP format from [here](https://drive.google.com/file/d/1ZDZAZMFvvqhczMyQRxcQHg-3eRQpmUza/view?usp=sharing)) then after selected, press c) and wait few seconds.

![](/files/wXIBcNuCQtC7NqN15zB5)

4\. After installation is complete, click on "Activate Plugin".

![](/files/AiHOmi1TVNmwXrwCbfvT)

5\. Now let's add DexKit's plugin to a new page. Using the side menu, click on Pages and then on Add New.&#x20;

![You can call it «swap» or anything you want.](/files/VGEywUdhzGFDH4An964K)

6\. Add a shortcode plugin to the new page. Follow [this tutorial](https://www.wpbeginner.com/wp-tutorials/how-to-add-a-shortcode-in-wordpress/) if you can't add a shortcode plugin:&#x20;

7\. Now you need to generate your dApp shortcode to deploy your aggregator. Enter in DexKit's SuperApp on this link [https://app.dexkit.com/my-apps/wizard/aggregator?format=codecanyon](<https://app.dexkit.com/my-apps/wizard/aggregator?format=codecanyon >) and fill all the information requested there.&#x20;

![Fill carefully all sections. KIT token is the default selection. You can add the contracts you like there. Be careful with the network selection.](/files/yivwHeO3HvNhd02Rgv73)

8\. After filling that part, press on the "Next" button. You will see the next screen:

![Now you can pick your brand colors for the aggregator. Hit on "Finish when done.](/files/6bVpxBH4A9KheaJxtj8o)

9\. Press now on "Submit" and then the orange link "Copy Wordpress shortcode" as the image below.

![](/files/fb2jcCGNnb9tYdhGeNon)

10\. Now we need to go to the page we created in the step 7 to paste the shortcode inside a shortcode box, like we explained before. It will looks like the image below:

![After pasting it just click on «save».](/files/CNfJRMAMW727etj6H1UP)

11\. The last step is here! 🥳 Now you need to go to «DexKit AGGREGATOR» section in the left menu of your WordPress administration panel and paste the code you purchased on Codecanyon.&#x20;

![This is the last step, so now all is set and you are ready to profit! 🤑💰](/files/HXg2zXEOLTLWbV4SONpE)

{% hint style="info" %}
Note: The step above is mandatory for Premium products and there is no way to cheat the system. We use state-or-the-art authentication technology to provide an unique code for each buyer.
{% endhint %}

### Full shortcode options

{% hint style="warning" %}
The shortcode generator that we used before to create your shortcode provides the optimal features for regular operation. Some options below might become your aggregator unstable (or ugly 🧟‍♂️), so be cautious! 💁‍♂️
{% endhint %}

* logo - url to logo used in light mode.
* logo\_dark - url to logo used in dark mode.
* affiliate - address where fees are routed if it holds over 500 KIT on the used network.
* brand\_color - brand color used in light mode.
* brand\_color\_dark - brand color used in dark mode.
* is\_dark\_mode - dark mode by default.
* height - height size of the aggregator.
* width - width size of the aggregator.
* matic\_as\_default - use Polygon as default network when open aggregator.
* bsc\_as\_default - use Binance Chain as default network when open aggregator.
* avax\_as\_default - use Avalanche as default network when open aggregator.
* default\_token\_address\_eth - Default token on ETH network.
* default\_token\_address\_bsc - Default token on Binance Chain network.
* default\_token\_address\_matic - Default token on Polygon network.
* default\_token\_address\_avax - Default token on Avalanche network.
* default\_slippage - Default slippage of the aggregator, useful for tokens that need higher slippage to trade.
* buy\_token\_percentage - percentage between 0 and 5%. Default is 0.3%.

#### Full Example

`[dexkit_aggregator_codecanyon affiliate="0x5bD68B4d6f90Bcc9F3a9456791c0Db5A43df676d" height="800px" width="100%" logo="path_to_logo" logo_dark="path_to_logo" is_dark_mode="true" matic_as_default="false" bsc_as_default="false" default_token_address_eth="0x7866E48C74CbFB8183cd1a929cd9b95a7a5CB4F4" default_token_address_bsc="0x314593fa9a2fa16432913dbccc96104541d32d11" default_token_address_matic="0x4d0def42cf57d6f27cd4983042a55dce1c9f853c" default_token_address_avax="0x264c1383ea520f73dd837f915ef3a732e204a493" default_token_address_fantom="0x95dd59343a893637be1c3228060ee6afbf6f0730" default_slippage="2" brand_color="#ff7149" brand_color_dark="#2172E5" buy_token_percentage="0.3" ]`

{% hint style="info" %}
Note: Shortcode attributes won't work on full page.
{% endhint %}

**Congratulations!** 🥳🎊 you have just finished the Aggregator plugin installation process on your WordPress site!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dexkit.com/premium-products/dex-aggregator/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
